#
# spec file for package librcps
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           librcps
Version:        0.3
Release:        22.1
Summary:        A open source library for resource constrained project scheduling
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://www.librcps.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  libtool
BuildRequires:  texlive-latex

%description
A versatile, powerful and fast open source library for resource constrained project scheduling


Authors:
--------
        Robert Lemmen <robertle@semistable.com>


%package devel
Summary:        Development and Include Files for libraw1394
Group:          Development/Libraries/C and C++
Requires:       librcps0 = %{version}

%description devel
A versatile, powerful and fast open source library for resource constrained project scheduling


Authors:
--------
        Robert Lemmen <robertle@semistable.com>

%package -n librcps0
Summary:        Development and Include Files for libraw1394
Group:          Development/Libraries/C and C++

%description -n librcps0
A versatile, powerful and fast open source library for resource constrained project scheduling


Authors:
--------
        Robert Lemmen <robertle@semistable.com>



%prep
%setup -q -n %{name}-%{version}

%build
autoreconf --force --install
export CFLAGS="%optflags"
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs} all

%install
%{__make} install DESTDIR=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n librcps0 -p /sbin/ldconfig

%postun -n librcps0 -p /sbin/ldconfig

%files -n librcps0
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_libdir}/librcps.so.*

%files devel
%defattr(-,root,root)
/usr/include/librcps.h
%{_libdir}/librcps.so
%{_libdir}/librcps.la

%changelog
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Tue Nov 22 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Oct  8 2010 tittiatcoke@gmail.com
- Update to version 0.3
  * fix segfault when stopping librcps via callback before inital
    population is fully created
  * support for duration callbacks
  * support for a callback to report progress and stop the solver
  * Support for new successor relations (start-start and
    finish-finish on top of finish-start)
  * First experimental parallel implementation
  * Fixes to the slist implementation
* Mon Mar 29 2010 tittiatcoke@gmail.com
- Initial package (version 0.2)
